with GNATCOM.Dispinterface;

package MSHTML.IHTMLTableRow_Interface is

   type IHTMLTableRow_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLTableRow_Type);

   function Pointer (This : IHTMLTableRow_Type)
     return Pointer_To_IHTMLTableRow;

   procedure Attach (This    : in out IHTMLTableRow_Type;
                     Pointer : in     Pointer_To_IHTMLTableRow);

   procedure Put_align
     (This : IHTMLTableRow_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_align
     (This : IHTMLTableRow_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_vAlign
     (This : IHTMLTableRow_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_vAlign
     (This : IHTMLTableRow_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_bgColor
     (This : IHTMLTableRow_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_bgColor
     (This : IHTMLTableRow_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderColor
     (This : IHTMLTableRow_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderColor
     (This : IHTMLTableRow_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderColorLight
     (This : IHTMLTableRow_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderColorLight
     (This : IHTMLTableRow_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderColorDark
     (This : IHTMLTableRow_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderColorDark
     (This : IHTMLTableRow_Type)
     return GNATCOM.Types.VARIANT;

   function Get_rowIndex
     (This : IHTMLTableRow_Type)
     return Interfaces.C.long;

   function Get_sectionRowIndex
     (This : IHTMLTableRow_Type)
     return Interfaces.C.long;

   function Get_cells
     (This : IHTMLTableRow_Type)
     return Pointer_To_IHTMLElementCollection;

   function insertCell
     (This  : IHTMLTableRow_Type;
      index : Interfaces.C.long)
     return GNATCOM.Types.Pointer_To_IDispatch;

   procedure deleteCell
     (This  : IHTMLTableRow_Type;
      index : Interfaces.C.long);

end MSHTML.IHTMLTableRow_Interface;

